//
//	Class definition for Background class
//

#ifndef LDW_BACKGROUND_H
#define LDW_BACKGROUND_H

#include "ldwTypes.h"

class ldwBackground 
{
public:

	virtual void SetInteriorSize(int width,int height) = 0;

	virtual int GetWidth()  = 0;
	virtual int GetHeight() = 0;

	virtual void Draw(ldwPoint drawLoc,float opacity = 1.0f) = 0;
};

#endif
